interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
        ayCGQRT8f6KA/ENA0QMA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36609']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:35 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjlpes.2.1505364155434.Z0FBQUFBQlp1Z2k3di1XbjJZVHdJVG1kdlBUaURLSHk4S3QxLThKVzhLME94VzFBTDYwaGg0TV9veFN4aWhDRDR2S3ZfbWdjVV9fRl9QeDFCcHloQnFuaV94bjAyVFVRbTgzNEJ5dUlGeE9KNEkxZVB4aExXbjAtcjdiNXBGX0tYQjRUcGFaY3NJY3M;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:35
          GMT; secure', 'session_tracker=apJ4K4oCDeUQm2GJcj.0.1505364155428.Z0FBQUFBQlp1Z2k3aXdFNk5IbHFCQTJPTWhhYUZiY3RpczFjdWM1QzFRNWk5M3pfeE92eW56Q2pUalgzMUg3TTFUSE96Zzd4R0g0Q0plN213T3MyTEcwQ1RDdUFVVW1HMEkzbjhmWnVDTy1ma1lqRlJCcVA1NzhQdFJDZml0bGJ4UG0zS0ZjalFYRk4;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:35
          GMT; secure', edgebucket=AYSiycyyl0D2sQzmpC; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1728-ORD]
      X-Timer: ['S1505364155.411833,VS0,VE353']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjlpes.2.1505364155434.Z0FBQUFBQlp1Z2k3di1XbjJZVHdJVG1kdlBUaURLSHk4S3QxLThKVzhLME94VzFBTDYwaGg0TV9veFN4aWhDRDR2S3ZfbWdjVV9fRl9QeDFCcHloQnFuaV94bjAyVFVRbTgzNEJ5dUlGeE9KNEkxZVB4aExXbjAtcjdiNXBGX0tYQjRUcGFaY3NJY3M;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:35
          GMT; secure', 'session_tracker=apJ4K4oCDeUQm2GJcj.0.1505364155428.Z0FBQUFBQlp1Z2k3aXdFNk5IbHFCQTJPTWhhYUZiY3RpczFjdWM1QzFRNWk5M3pfeE92eW56Q2pUalgzMUg3TTFUSE96Zzd4R0g0Q0plN213T3MyTEcwQ1RDdUFVVW1HMEkzbjhmWnVDTy1ma1lqRlJCcVA1NzhQdFJDZml0bGJ4UG0zS0ZjalFYRk4;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:35
          GMT; secure', edgebucket=AYSiycyyl0D2sQzmpC; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=w5XJDxic1CTsxxhInmgc%2B24mqYrnglkFXWHvu%2FKDBy9SKBcnhZy5kQOBmJ232qxFzr3S8mcRIg0%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
